package com.vendor.burn.model.struct;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.struct.IStruct;

public class SPartitionItem implements IStruct {
  static final int BOOT_IND = 0;
  
  static final int HEAD = 1;
  
  static final int SECTOR = 2;
  
  static final int CYL = 3;
  
  static final int SYS_IND = 4;
  
  static final int END_HEAD = 5;
  
  static final int END_SECTOR = 6;
  
  static final int END_CYL = 7;
  
  public int boot_ind;
  
  public int head;
  
  public int sector;
  
  public int cyl;
  
  public int sys_ind;
  
  public int end_head;
  
  public int end_sector;
  
  public int end_cyl;
  
  public final int[] start4 = new int[4];
  
  public final int[] size4 = new int[4];
  
  public boolean build(int[] itemData) {
    if (itemData.length != 16)
      return false; 
    this.boot_ind = itemData[0];
    this.head = itemData[1];
    this.sector = itemData[2];
    this.cyl = itemData[3];
    this.sys_ind = itemData[4];
    this.end_head = itemData[5];
    this.end_sector = itemData[6];
    this.end_cyl = itemData[7];
    int offset = 8;
    System.arraycopy(itemData, offset, this.start4, 0, this.start4.length);
    offset += this.start4.length;
    System.arraycopy(itemData, offset, this.size4, 0, this.size4.length);
    offset += this.size4.length;
    return (offset == itemData.length);
  }
  
  public int[] getData() {
    int[] data = new int[16];
    data[0] = this.boot_ind;
    data[1] = this.head;
    data[2] = this.sector;
    data[3] = this.cyl;
    data[4] = this.sys_ind;
    data[5] = this.end_head;
    data[6] = this.end_sector;
    data[7] = this.end_cyl;
    int offset = 8;
    for (int d : this.start4)
      data[offset++] = d; 
    for (int d : this.size4)
      data[offset++] = d; 
    return data;
  }
}
